/**
 * 获取百度地图输入点提示词
 * @author Seven
 * @data 2025-3-5
 * @param { category_parent_id }
 * @returns { query,region }
 * @see https://mall.gpxscs.cn/mobile/shop/merch/baidu/place/v2/suggestion
 */

export function GetBaiduSuggestion (params = {}){
    params.isFilter = true
    return  new Promise((resolve, reject) => {
      http({
        url:'/api/mobile/shop/merch/baidu/place/v2/suggestion',
        method:'get',
        data:params,
      }).then(res=>{
        resolve(res)
      }).catch(e => reject(console.warn(e)))
    })
  }

  export function GetMeritoCategory (params = {}){
    return  new Promise((resolve, reject) => {
      http({
        url:'/api/mobile/shop/shop-base-store-category/list',
        method:'post',
        data:params,
      }).then(res=>{
        resolve(res)
      }).catch(e => reject(console.warn(e)))
    })
  }
  